name: Qodana
on:
  schedule:
  - cron: "0 20 * * 1,3,5"
  workflow_dispatch:
    branches:
      - develop
#  push:
#    branches:
#      - develop

permissions:
  contents: read

jobs:
  qodana:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v3
        with:
          fetch-depth: 1
          #php-version: '7.1'
      - name: 'Qodana Scan'
        uses: JetBrains/qodana-action@v2023.1.5
        #with:
        #  php-version: '7.1'
        env:
          QODANA_TOKEN: ${{ secrets.QODANA_TOKEN }}